Function
setCharacter
setCharacter(iterator, character) sets the character of the node the iterator points to to character.
bool setCharacter(iterator, character)
Include Headers
seqan/index.h
Parameters

iterator | An iterator of a wavelet tree structure. Types: RightArrayBinaryTree Iterator
character | The character to be assigned to a node.

Member of
RightArrayBinaryTree Iterator
Examples
String<Dna5> genome = "ACGTACGT";
RightArrayBinaryTree<Dna5> waveletTreeStructure(genome);
Iterator<RightArrayBinaryTree<Dna5>, TopDown<> >::Type it;
it = begin(waveletTreeStructure); // go to root node
goRightChild(it); // go to right child of root node
setCharacter(it,'T'); // sets the character of the root's
// right child to 'T'
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57